Subject: Re: linux-next: manual merge of the kunit-next tree with the mm tree

From: Shuah Khan <[email-masked]>
Date: Wed, 9 Oct 2024 15:04:01 -0600

On 10/9/24 14:42, Andrew Morton wrote:
> On Wed, 9 Oct 2024 09:11:19 -0600 Shuah Khan <[email-masked]> wrote:
> 
>>> I fixed it up (I used the latter version of lib/math/Makefile and see
>>> below the signature by the patch immediately below) and can carry the
>>> fix as necessary. This is now fixed as far as linux-next is concerned,
>>> but any non trivial conflicts should be mentioned to your upstream
>>> maintainer when your tree is submitted for merging.  You may also want
>>> to consider cooperating with the maintainer of the conflicting tree to
>>> minimise any particularly complex conflicts.
>>
>> Sorry for the delay on this. Thank you for fixing this up.
>>
>> Andrew,
>>
>> Looks like we might see more conflicts between mm and kunit trees
>> with the move from lib/ lib/tests/
>>
>> I dropped a couple of patches I couldn't apply. Would you like
>> me to drop this from kunit tree?
> 
> Yes please, it's mostly a lib/ thing.

Done.

Here is the link:

https://lore.kernel.org/all/[email-masked]/
> 
> I can't actually find the original patch email.  f099bda563dd doesn't
> have a Link: to the submission (please update your scripts to fix
> this)  and the patch wasn't cc'ed to anything to which I subscribe
> (please prefer to cc linux-kernel on most patches because of this).
> 

Will do - thanks for the reminder.

thanks,
-- Shuah